docs

# BehaviourWithFSMStateHandlerHolder

fun < I : O , O : State> BehaviourWithFSMStateHandlerHolder ( inputKlass: KClass < I >, strict: Boolean = false, delegateTo: BehaviourWithFSMStateHandler < I , O >)
Content copied to clipboard

## Parameters

inputKlass

This KClass will be used to compare input State type and declare ability of delegateTo to handle incoming State. See checkHandleable for more info

strict

This flag will be used in checkHandleable to choose strategy of checking incoming State

delegateTo

This handler will be called in case checkHandleable returns true with class caster incoming State in handleState